com.google.gwt.cell.client

## Class TextButtonCell

- java.lang.Object
- - com.google.gwt.cell.client.AbstractCell<C>
  - - com.google.gwt.cell.client.ButtonCellBase<java.lang.String>
    - - com.google.gwt.cell.client.TextButtonCell

- All Implemented Interfaces:
    Cell<java.lang.String>, IsCollapsible, HasEnabled

      public class TextButtonCell
      extends ButtonCellBase<java.lang.String>

  `TextButtonCell` is a simple button with text content.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TextButtonCell.Appearance` The appearance used to render this Cell.
    `static class` | `TextButtonCell.DefaultAppearance` The default implementation of the `TextButtonCell.Appearance`.

    - ### Nested classes/interfaces inherited from class com.google.gwt.cell.client.ButtonCellBase

      `ButtonCellBase.Decoration`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell

      `Cell.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextButtonCell()` Construct a `TextButtonCell` using the `TextButtonCell.DefaultAppearance`.
    `TextButtonCell(TextButtonCell.Appearance appearance)` Construct a `TextButtonCell` using the specified `TextButtonCell.Appearance` to render the cell.

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.cell.client.ButtonCellBase

      `getAccessKey, getDecoration, getIcon, getTabIndex, isCollapseLeft, isCollapseRight, isEnabled, onBrowserEvent, onEnterKeyDown, render, setAccessKey, setCollapseLeft, setCollapseRight, setDecoration, setEnabled, setFocus, setIcon, setTabIndex`

    - ### Methods inherited from class com.google.gwt.cell.client.AbstractCell

      `dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, resetFocus, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextButtonCell

          public TextButtonCell()

      Construct a `TextButtonCell` using the `TextButtonCell.DefaultAppearance`.

      The `TextButtonCell.DefaultAppearance` may be replaced with a more modern appearance in the future. If you want to stay up to date with the latest appearance, use this constructor. If you do not want the appearance to be updated with successive versions of GWT, create an `TextButtonCell.Appearance` and pass it to `TextButtonCell(Appearance)`.

    - #### TextButtonCell

          public TextButtonCell(TextButtonCell.Appearance appearance)

      Construct a `TextButtonCell` using the specified `TextButtonCell.Appearance` to render the cell.
      Parameters:
        `appearance` - the appearance of the cell